Get Key
Gets the value of a key in a collection. The wildcard * in the path is replaced with the key name.
Authentication
Requires internal authentication. Pass credentials via X-Glue-Authentication header, or apikey and secret headers.
Path Parameters
| Parameter | Type | Description |
|---|---|---|
| col | string | The name of the collection |
Example Request
curl "https://api.hola.cloud/v1/collections/users/keys/user:1001" \
-H "X-Glue-Authentication: YOUR_AUTH_TOKEN"GET /v1/collections/users/keys/user:1001 HTTP/1.1
Host: api.hola.cloud
X-Glue-Authentication: YOUR_AUTH_TOKEN
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.hola.cloud/v1/collections/users/keys/user:1001", nil)
if err != nil {
panic(err)
}
req.Header.Set("X-Glue-Authentication", "YOUR_AUTH_TOKEN")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
responseBody, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(responseBody))
}
<?php
$ch = curl_init();
curl_setopt_array($ch, [
CURLOPT_URL => 'https://api.hola.cloud/v1/collections/users/keys/user:1001',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'X-Glue-Authentication: YOUR_AUTH_TOKEN',
],
]);
$response = curl_exec($ch);
if ($response === false) {
throw new Exception(curl_error($ch));
}
curl_close($ch);
echo $response;
import requests
headers = {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN",
}
response = requests.request(
"GET",
"https://api.hola.cloud/v1/collections/users/keys/user:1001",
headers=headers
)
print(response.text)
const response = await fetch("https://api.hola.cloud/v1/collections/users/keys/user:1001", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN"
}
});
console.log(await response.text());
const response = await fetch("https://api.hola.cloud/v1/collections/users/keys/user:1001", {
method: "GET",
headers: {
"X-Glue-Authentication": "YOUR_AUTH_TOKEN"
}
});
const text = await response.text();
console.log(text);
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
var request = HttpRequest.newBuilder()
.uri(URI.create("https://api.hola.cloud/v1/collections/users/keys/user:1001"))
.method("GET", HttpRequest.BodyPublishers.noBody())
.header("X-Glue-Authentication", "YOUR_AUTH_TOKEN")
.build();
var response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}Example Response
1HTTP/1.1 200 OK
2Content-Type: application/json
1{
2 "key": "user:1001",
3 "collection": "users",
4 "value": {
5 "name": "Alice",
6 "email": "alice@example.com",
7 "role": "admin"
8 },
9 "created_at": "2025-06-21T10:00:00Z",
10 "updated_at": "2025-06-21T10:00:00Z"
11}
Error Codes
| Status | Code | Description |
|---|---|---|
| 403 | forbidden | Missing authentication headers |
| 404 | not_found | Collection or key not found |
| 500 | internal_error | Internal server error |
Comments